#include "../interface.h"

void Filter_direct::render(Color::Mode mode, u32* gpu_data, u32 gpu_pitch, u8* ppu_data, unsigned height) {
	gpu_pitch >>= 2;
	
	for (unsigned y=0; y < height; y++) {
		for(unsigned x = 0; x < 284; x++) {
			*gpu_data++ = colorTable[mode]._RGB32[*ppu_data++];
		}
		gpu_data += gpu_pitch - 284;
	}
}

void Filter_direct::size(unsigned& outwidth, unsigned& outheight, unsigned width, unsigned height) {
	outwidth  = width;
	outheight = height;
}